#!/bin/sh

if [ a = "a" ]; then
    echo yes
fi

if [ "$MOST_LIKELY_EMPTY_VARIABLE" = "" ]; then
    echo yes
fi

if [ "$MOST_LIKELY_EMPTY_VARIABLE" != "" ]; then
    echo no
else
    echo yes
fi

if [ -f /bin/sh ]; then
    echo yes
fi

if [ 02-if.sh -nt /bin/sh ]; then
    echo yes
fi

if [ ! 02-if.sh -ot /bin/sh ]; then
    echo yes
fi

if [ -f /bin/sh ] && [ -f /bin/bash ]; then
    echo yes
fi
if [ -f /bin/sh ] || [ -f /bin/bash ]; then
    echo yes
fi
if [ -f /bin/sh ] && [ -f /bin/bash ] || [ -f /bin/dash ]; then
    echo yes
fi
